Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.essbase.api.base
Class EssException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.essbase.api.base.EssException

All Implemented Interfaces:
  IEssBaseObject, IEssException, java.io.Serializable

public class EssException
extends java.lang.Exception
implements IEssException

The EssException class is an exception thrown by the Essbase.

See Also:
  Serialized Form

Field Summary

Fields inherited from interface com.essbase.api.base.IEssException
`ERROR_INVALID_SESSION_ID, ERROR_INVALID_USER_OR_PASSWORD, ERROR_NATIVE_FROM_OLAP_SERVER, ERROR_NEW_PROP_VALUE_SAME_AS_OLD, ERROR_OBJECT_ALREADY_EXISTS, ERROR_OBJECT_IS_CLOSED, ERROR_OBJECT_NOT_FOUND, ERROR_UNCATEGORIZED`

Constructor Summary
`EssException()`
`EssException(java.lang.Exception x)`
`EssException(int code, java.lang.String message, int nativeCode, java.lang.String nativeMessage)`
`EssException(java.lang.String message)`
`EssException(java.lang.String message, int code)`

Method Summary
`int` | `getCode()` Gets the error code.
`java.lang.String` | `getMessage()` Gets the error message.
`int` | `getNativeCode()` Gets the native error code.
`java.lang.String` | `getNativeMessage()` Gets the native error message.
`void` | `setCode(int code)` Sets the error code.
`void` | `setMessage(java.lang.String message)` Sets the error message.
`void` | `setNativeCode(int nativeCode)` Sets the native error code.
`void` | `setNativeMessage(java.lang.String message)` Sets the native error message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EssException

    public EssException()

### EssException

    public EssException(java.lang.String message)

### EssException

    public EssException(java.lang.String message,
                        int code)

### EssException

    public EssException(int code,
                        java.lang.String message,
                        int nativeCode,
                        java.lang.String nativeMessage)

### EssException

    public EssException(java.lang.Exception x)

Method Detail

### getCode

    public int getCode()

  Description copied from interface: `IEssException`
  Gets the error code.

  Specified by:
    `getCode` in interface `IEssException`
  Returns:
    The error code.

### setCode

    public void setCode(int code)

  Description copied from interface: `IEssException`
  Sets the error code.

  Specified by:
    `setCode` in interface `IEssException`
  Parameters:
    `code` - The error code.

### getMessage

    public java.lang.String getMessage()

  Description copied from interface: `IEssException`
  Gets the error message.

  Specified by:
    `getMessage` in interface `IEssException`

### setMessage

    public void setMessage(java.lang.String message)

  Description copied from interface: `IEssException`
  Sets the error message.

  Specified by:
    `setMessage` in interface `IEssException`
  Parameters:
    `message` - The error message.

### getNativeCode

    public int getNativeCode()

  Description copied from interface: `IEssException`
  Gets the native error code.

  Specified by:
    `getNativeCode` in interface `IEssException`
  Returns:
    The native error code.

### setNativeCode

    public void setNativeCode(int nativeCode)

  Description copied from interface: `IEssException`
  Sets the native error code.

  Specified by:
    `setNativeCode` in interface `IEssException`
  Parameters:
    `nativeCode` - The native error code.

### getNativeMessage

    public java.lang.String getNativeMessage()

  Description copied from interface: `IEssException`
  Gets the native error message.

  Specified by:
    `getNativeMessage` in interface `IEssException`
  Returns:
    The native error message.

### setNativeMessage

    public void setNativeMessage(java.lang.String message)

  Description copied from interface: `IEssException`
  Sets the native error message.

  Specified by:
    `setNativeMessage` in interface `IEssException`
  Parameters:
    `message` - The native error message.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD